{{ setuppostdata(post) }}
{# {% if product is empty or product.is_visible == false %}
{% endif %} #}

{% if post %}
	<div {{ fn( 'post_class', ['LoopProduct'], post.ID ) }}>

		{% set product = timbersetproduct(post) %}

		<div class="add-to-wishlist-container">
			{{ fn( 'do_shortcode', '[ti_wishlists_addtowishlist]' ) }}
		</div>

		{# woocommerce_template_loop_product_link_open - 10 #}
		{% do action( 'woocommerce_before_shop_loop_item' ) %}

		<div class="LoopProduct__badges">
			{% do action( 'woocommerce_show_loop_item_badges', post.ID ) %}
		</div>
		{# woocommerce_show_product_loop_sale_flash - 10
		woocommerce_template_loop_product_thumbnail - 10 #}

		{{ remove_action('woocommerce_before_shop_loop_item_title', 'woocommerce_show_product_loop_sale_flash', 10 ) }}
		{% do action( 'woocommerce_before_shop_loop_item_title' ) %}

		{# woocommerce_template_loop_product_title - 10 #}
		{% do action( 'woocommerce_shop_loop_item_title' ) %}

		{# woocommerce_template_loop_rating - 5
		woocommerce_template_loop_price - 10 #}
		{% do action( 'woocommerce_after_shop_loop_item_title' ) %}
		
		{# woocommerce_template_loop_product_link_close - 5
		woocommerce_template_loop_add_to_cart - 10 #}
        {% if (product.get_type != 'simple') %}
            {{ remove_action('woocommerce_after_shop_loop_item', 'woocommerce_template_loop_add_to_cart', 10 ) }}
        {% endif %}

		{% do action( 'woocommerce_after_shop_loop_item' ) %}

	</div>

	{{ resetpostdata() }}
{% endif %}
